groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russel Winder <rus...@winder.org.uk>
Subject Re: Build fail on JDK9
Date Mon, 19 Dec 2016 06:34:39 GMT
On Thu, 2016-11-17 at 09:34 +0000, Russel Winder wrote:
> On Thu, 2016-11-17 at 09:26 +0100, Guillaume Laforge wrote:
> > You always forget to give me precise details! 😜
> > JDK 9 is a very vague context!
> 
> What is the latest JDK9?

Having actually read the Oracle JDK9 EA licence, I find I (and I
suspect almost everyone) cannot comply with the terms as stated (as
opposed to the ones probably intended). I have therefore removed all my
Oracle JDK9 installs so as to be compliant.

Until Fedora Rawhide has an OpenJDK9 package, I won't be running JDK9
on that platform. Debian Experimental has an OpenJDK9 package so over
Christmas I will be installing and using that. So for now OpenJDK8
only, and hence no Gradle problems. Also no Asciidoctor problem so I
can build the documentation again.

Once I have both OpenJDK8 and OpenJDK9, I should be able to start work
on getting GPars 2.0 into a fit state for release.

-- 
Russel.
=============================================================================
Dr Russel Winder      t: +44 20 7585 2200   voip: sip:russel.winder@ekiga.net
41 Buckmaster Road    m: +44 7770 465 077   xmpp: russel@winder.org.uk
London SW11 1EN, UK   w: www.russel.org.uk  skype: russel_winder
Mime
View raw message